CREATE USER entreprise IDENTIFIED BY entreprise;
GRANT CONNECT,RESOURCE,CREATE VIEW TO entreprise;

-- Roles
CREATE ROLE EMPLOYE;
GRANT SELECT ON entreprise.MES_INFOS TO EMPLOYE;
GRANT UPDATE (nom,prenom) ON entreprise.MES_INFOS TO EMPLOYE;
GRANT SELECT ON entreprise.PERSONNEL_EMPLOYE TO EMPLOYE;
GRANT SELECT ON entreprise.CLIENTS_EMPLOYE TO EMPLOYE;

CREATE ROLE RH;
GRANT SELECT,INSERT,UPDATE,DELETE ON entreprise.PERSONNEL_RH TO RH;

CREATE ROLE SECRETARIAT;
GRANT SELECT,INSERT,UPDATE,DELETE ON entreprise.CLIENTS_SECRETARIAT TO SECRETARIAT;

CREATE ROLE DIRECTION;

GRANT EMPLOYE TO RH;
GRANT EMPLOYE TO SECRETARIAT;
GRANT RH,SECRETARIAT TO DIRECTION;

-- Utilisateurs
CREATE USER marc IDENTIFIED BY marc;
CREATE USER pierre IDENTIFIED BY pierre;
CREATE USER mehdi IDENTIFIED BY mehdi;
CREATE USER sarah IDENTIFIED BY sarah;
CREATE USER alice IDENTIFIED BY alice;

GRANT CONNECT,EMPLOYE TO marc;
GRANT CONNECT,EMPLOYE TO pierre;
GRANT CONNECT,RH TO mehdi;
GRANT CONNECT,SECRETARIAT TO sarah;
GRANT CONNECT,DIRECTION TO alice;
